deps-ok

Fast checking of top level dependencies based on version numbers

npm install deps-ok
46 downloads in the last week
165 downloads in the last month

deps-ok

Fast checking of top level NPM and Bower dependencies based on version numbers.

NPM info

Build status dependencies endorse

There is also grunt-deps-ok for integrating this task into grunt pipeline.

Use

npm install -g deps-ok
// from the package's root folder execute
deps-ok
// prints first found error and exits with code 1
// if one of the top level dependencies
// is missing or out of date

deps-ok --verbose
// prints declared and installed version numbers

Checks both dependencies listed in your package.json and bower.json

If deps-ok finds a problem, then run npm install or bower install

Use as 3rd party module

You can use deps-ok from another module

npm install deps-ok --save
var depsOk = require('deps-ok');
var ok = depsOk(process.cwd(), false /* verbose */);

Small print

Author: Gleb Bahmutov © 2013

License: MIT - do anything with the code, but don't blame me if it does not work.

Support: if you find any problems with this module, email / tweet / open issue on Github

npm loves you